## gate.persist
Interface DatabaseDataStore

All Superinterfaces:
  DataStore, FeatureBearer, NameBearer

All Known Implementing Classes:
  JDBCDataStore

public interface DatabaseDataStore
extends DataStore

Fields inherited from interface gate.DataStore
`DATASTORE_FEATURE_NAME, LR_ID_FEATURE_NAME`

Method Summary
`void` `beginTrans()` ---
`void` `commitTrans()` ---
`void` `deleteSince(Long timestamp)` ---
`String` `getDatabaseID()` ---
`void` `rollbackTrans()` ---
`void` `setDriver(String driverName)` ---
`Long` `timestamp()` ---

Methods inherited from interface gate.DataStore
`addDatastoreListener, adopt, canReadLR, canWriteLR, close, create, delete, delete, getComment, getIconName, getLr, getLrIds, getLrName, getLrNames, getLrTypes, getSecurityInfo, getSession, getStorageUrl, isAutoSaving, lockLr, open, removeDatastoreListener, setAutoSaving, setSecurityInfo, setSession, setStorageUrl, sync, unlockLr`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Methods inherited from interface gate.util.NameBearer
`getName, setName`

Method Detail

### beginTrans

    public void beginTrans()
                    throws PersistenceException,
                           UnsupportedOperationException

  ---

### commitTrans

    public void commitTrans()
                     throws PersistenceException,
                            UnsupportedOperationException

  ---

### rollbackTrans

    public void rollbackTrans()
                       throws PersistenceException,
                              UnsupportedOperationException

  ---

### timestamp

    public Long timestamp()
                   throws PersistenceException

  ---

### deleteSince

    public void deleteSince(Long timestamp)
                     throws PersistenceException

  ---

### setDriver

    public void setDriver(String driverName)
                   throws PersistenceException

  ---

### getDatabaseID

    public String getDatabaseID()

  ---